Groovy 1.7.0

## groovy.util
Interface ObjectGraphBuilder.NewInstanceResolver

    interface ObjectGraphBuilder.NewInstanceResolver

Strategy for creating new instances of a class.
Useful for plug-in calls to non-default constructors.

Method Summary
`Object` | `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

Method Detail

### newInstance

    public Object newInstance(Class klass, Map attributes)

  Create a new instance of Class klass.
  param:
    klass the resolved class name
  param:
    attributes the attribute Map available for the node

Copyright © 2003-2009 The Codehaus. All rights reserved.